<html>
<body>

<H2 autotoc="yes"> export_tedax </H2>
<p>
Type: netlist.

<H3 autotoc="yes"> netlist export </H3>
<p>
Exports a <a href="http://www.repo.hu/projects/tedax/netlist.html">tEDAx
netlsit</a>, typically used with a PCB workflow.
<p>
PCB side pin number is deduced from display/pinnum (or pinnum for fallback).
It either contains a single "pin number" or multiple "pin numbers" separated
by whitespaces. A "pin number" is any printable ASCII character, but no
whitespace or dash.


<H4 autotoc="yes"> Attribute usage </h4>
<p>
For components the following attributes are used to construct file-format
specified fields:
<ul>
	<li> component's <i>display/footprint</i> (fallback: <i>footprint</i> attribute)
	<li> component's <i>display/value</i> (fallback: <i>value</i> attribute)
	<li> component's <i>display/device</i> (fallback: <i>device</i> attribute)
	<li> ports's <i>display/pinname</i> (fallback: port's name)
</ul>
<p>
Attributes that have an export name are exported for:
<ul>
	<li> components
	<li> networks
</ul>

<H4 autotoc="yes"> Omit and DNP </h4>
<p>
The plugin will not export components and networks that have the
<i>display/omit</i> attribute set.
<p>
The plugin will export objects that have the <i>display/dnp</i> attribute
set. To get the DNP information passed on, use the
<a href="../../03_data/attrib_export_name.html">export naming mechanism</a>
of a target plugin in the view.





